package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.QualificationTypeResource;
import de.humance.eco.profile.service.QualificationTypeResourceLocalServiceUtil;

/**
 * The extended model base implementation for the QualificationTypeResource service. Represents a row in the &quot;Profile_QualificationTypeResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link QualificationTypeResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationTypeResourceImpl
 * @see de.humance.eco.profile.model.QualificationTypeResource
 * @generated
 */
public abstract class QualificationTypeResourceBaseImpl
    extends QualificationTypeResourceModelImpl
    implements QualificationTypeResource {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a qualification type resource model instance should use the {@link QualificationTypeResource} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            QualificationTypeResourceLocalServiceUtil.addQualificationTypeResource(this);
        } else {
            QualificationTypeResourceLocalServiceUtil.updateQualificationTypeResource(this);
        }
    }
}
